##
##  =============================================================================================
##  IBM Confidential
##  © Copyright IBM Corp. 2020
##  The source code for this program is not published or otherwise divested of its trade secrets,
##  irrespective of what has been deposited with the U.S. Copyright Office.
##  =============================================================================================
##

#!/bin/bash
#Check for update, and if found, automatically install. 

OUTPUT_DIR='/etc/sap_metric_collector'
VERSION=`cat $OUTPUT_DIR/.version | egrep -v "(^#.*|^$)"`
FTP_LOCATION='ftp://public.dhe.ibm.com/cloud/bluemix/sap/linux'
echo "SAP Metric Collector Update:"
echo "Current version - ${VERSION%.*.*}. Looking to update automatically ..."

LATEST_VERSION=`curl $FTP_LOCATION/ 2> /dev/null | grep "sap-metrics-collector*" | sort -k 8,8n -k 6,6M -k 7,7n | tail -1 | awk '{print $9}'`

if [ -z $LATEST_VERSION ]
then
        echo "Unable to find the latest version."
        exit
else
        echo "Latest version available - ${LATEST_VERSION%.*.*}"
fi

TEST_LATEST_VERSION='sap-metrics-collector-v1.0.tar.gz'

if [ -z $VERSION ] || [ $VERSION != $LATEST_VERSION ] 
then
	echo "Updating to ${LATEST_VERSION%.*.*}".
	output1=`cat $OUTPUT_DIR/telegraf.conf | grep api | awk {'print $3'} | tr -d '"'`

	rm -rf /tmp/sap-metrics-collector-*
	rm -rf /tmp/sap
	wget -P /tmp/ $FTP_LOCATION/$LATEST_VERSION
	cd /tmp && tar -zxvf $LATEST_VERSION && sleep 5 && cd /tmp/sap && ./uninstall-linux.sh && sleep 5 && ./install-linux.sh $output1 
	#cd /tmp && cp ~/$TEST_LATEST_VERSION . && tar -zxvf $TEST_LATEST_VERSION && sleep 5 && cd /tmp/sap && ./uninstall-linux.sh && sleep 5 && ./install-linux.sh $output1 
	
	/bin/rm -rf /tmp/cron_job.sh
	/bin/rm -rf /tmp/sap
	/bin/rm -rf /tmp/$LATEST_VERSION
else
	echo "No update found."
fi
