##
##  =============================================================================================
##  IBM Confidential
##  © Copyright IBM Corp. 2020
##  The source code for this program is not published or otherwise divested of its trade secrets,
##  irrespective of what has been deposited with the U.S. Copyright Office.
##  =============================================================================================
##


#!/bin/bash

# =================================
# Set up default variable
# =================================
OUTPUT_DIR='/etc/sap_metric_collector'
SAP_SERVICE='sap-metrics-collector'
LOGROTATE_FILE="/etc/logrotate.d/sap_metric"

# Check for sap_metric_collector folder
SAP_METRIC_FOLDER="${OUTPUT_DIR}"
if ! [[ -d "${SAP_METRIC_FOLDER}" ]]; then
    echo "${SAP_METRIC_FOLDER} does not exist"
    echo "No IBM Metric Collector for SAP running..."
    exit 1
fi

echo "Removing IBM Metric Collector for SAP..."
sudo systemctl stop ${SAP_SERVICE}
sudo systemctl disable ${SAP_SERVICE}
rm /etc/systemd/system/${SAP_SERVICE}.service 2>/dev/null
sudo systemctl daemon-reload
sudo systemctl reset-failed

rm -rf ${SAP_METRIC_FOLDER}
echo "Successfully removed IBM Metric Collector for SAP. "

echo "Removing cron job"
tmpfile=$(mktemp)
crontab -l | sed -e '/cron_job.sh/d' >"$tmpfile"
crontab "$tmpfile" && rm -f "$tmpfile"
rm -rf /tmp/cron_job.sh

echo "Removing logrotate"
rm -rf $LOGROTATE_FILE